## jupyter-console 5.0.0

=== docs/requirements.txt ===
-e git://github.com/ipython/ipython#egg=ipython
-e .

=== debian/changelog ===
jupyter-console (5.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #842825)

 -- Gordon Ball <gordon@chronitis.net>  Tue, 01 Nov 2016 14:49:53 +0000

=== debian/control ===
Source: jupyter-console
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Gordon Ball <gordon@chronitis.net>
Section: python
Priority: optional
Standards-Version: 3.9.8
Homepage: https://github.com/jupyter/jupyter_console
Build-Depends: debhelper (>= 10),
               dh-python,
               ipython,
               ipython3,
               python-all,
               python-pytest,
               python-setuptools,
               python-sphinx,
               python-sphinx-rtd-theme,
               python3-all,
               python3-pytest,
               python3-setuptools
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.3
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/jupyter-console.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/jupyter-console.git

Package: python-jupyter-console
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Jupyter terminal client (Python 2)
 Terminal-based console frontend for Jupyter kernels, like ipython but with
 support for non-python kernels.
 .
 This package installs the library for Python 2.

Package: python3-jupyter-console
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Jupyter terminal client (Python 3)
 Terminal-based console frontend for Jupyter kernels, like ipython but with
 support for non-python kernels.
 .
 This package installs the library for Python 3.

Package: jupyter-console
Architecture: all
Section: utils
Depends: python3-jupyter-console (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends}
Description: Jupyter terminal client (script)
 Terminal-based console frontend for Jupyter kernels, like ipython but with
 support for non-python kernels.
 .
 This package installs the jupyter-console script.

Package: python-jupyter-console-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Jupyter terminal client (documentation)
 Terminal-based console frontend for Jupyter kernels, like ipython but with
 support for non-python kernels.
 .
 This package installs documentation.

=== debian/watch ===
version=3
http://pypi.debian.net/jupyter_console/jupyter_console-(.*)\.tar\.gz

## jupyter-console 5.2.0

=== debian/changelog ===
jupyter-console (5.2.0-1) unstable; urgency=medium

  * New upstream version
  * Add uversionmangle rule to d/watch to correctly sort beta versions
  * Update Standards-Version to 4.1.1
  * Add a dependency on jupyter-core for jupyter-console, to ensure that
    the jupyter console subcommand is available.
  * Use python3 sphinx for documentation, add ${sphinx:Built-Using} to the
    documentation package
  * Update years, use https URL in d/copyright
  * Convert from git-dpm to gbp patches-unapplied format
  * Patch out use of extension sphinxcontrib_github_alt in the documentation
  * Add Testsuite: autopkgtest-pkg-python to d/control (only an autodep8
    module-can-be-imported tested is performed)

 -- Gordon Ball <gordon@chronitis.net>  Thu, 26 Oct 2017 00:43:42 +0200

=== debian/control ===
--- 
+++ 
@@ -3,24 +3,23 @@
 Uploaders: Gordon Ball <gordon@chronitis.net>
 Section: python
 Priority: optional
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: https://github.com/jupyter/jupyter_console
 Build-Depends: debhelper (>= 10),
                dh-python,
-               ipython,
-               ipython3,
                python-all,
-               python-pytest,
+               python-ipython,
                python-setuptools,
-               python-sphinx,
-               python-sphinx-rtd-theme,
                python3-all,
-               python3-pytest,
-               python3-setuptools
+               python3-ipython,
+               python3-setuptools,
+               python3-sphinx,
+               python3-sphinx-rtd-theme,
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.3
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/jupyter-console.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/jupyter-console.git
+Testsuite: autopkgtest-pkg-python
 
 Package: python-jupyter-console
 Architecture: all
@@ -45,7 +44,8 @@
 Section: utils
 Depends: python3-jupyter-console (= ${binary:Version}),
          ${misc:Depends},
-         ${python3:Depends}
+         ${python3:Depends},
+         jupyter-core
 Description: Jupyter terminal client (script)
  Terminal-based console frontend for Jupyter kernels, like ipython but with
  support for non-python kernels.
@@ -56,6 +56,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Built-Using: ${sphinx:Built-Using}
 Description: Jupyter terminal client (documentation)
  Terminal-based console frontend for Jupyter kernels, like ipython but with
  support for non-python kernels.

=== debian/watch ===
version=3
opts=uversionmangle=s/b/~b/,dversionmangle=s/~b/b/ \
http://pypi.debian.net/jupyter_console/jupyter_console-(.*)\.tar\.gz

## jupyter-console 6.0.0

=== debian/changelog ===
jupyter-console (6.0.0-2) unstable; urgency=medium

  * Patch out usage of a deprecated IPython python2 compatibility function
    which was dropped in IPython 7.11, causing import errors.

 -- Gordon Ball <gordon@chronitis.net>  Wed, 08 Jan 2020 22:21:32 +0000

jupyter-console (6.0.0-1) unstable; urgency=medium

  * New upstream release: 6.0.0
  * Depend on prompt-toolkit >= 2 and ipython >= 7
  * Update Standards-Version to 4.4.1
  * Set Rules-Requires-Root: no

 -- Gordon Ball <gordon@chronitis.net>  Mon, 06 Jan 2020 14:54:43 +0000

jupyter-console (5.2.0-2) unstable; urgency=medium

  * Drop support for python 2.7, and hence stop building the
    python-jupyter-console binary package (Closes: #936773)
  * Depend on debhelper-compat 12
  * Update Standards-Version to 4.3.0

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Fix Format URL to correct one
  * d/watch: Use https protocol
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * Bump Standards-Version to 4.4.0.

 -- Gordon Ball <gordon@chronitis.net>  Fri, 27 Sep 2019 18:10:11 +0000

=== debian/control ===
--- 
+++ 
@@ -3,32 +3,20 @@
 Uploaders: Gordon Ball <gordon@chronitis.net>
 Section: python
 Priority: optional
-Standards-Version: 4.1.1
+Standards-Version: 4.4.1
 Homepage: https://github.com/jupyter/jupyter_console
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
-               python-all,
-               python-ipython,
-               python-setuptools,
                python3-all,
-               python3-ipython,
+               python3-ipython (>= 7),
                python3-setuptools,
                python3-sphinx,
                python3-sphinx-rtd-theme,
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.3
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/jupyter-console.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/jupyter-console.git
+               python3-prompt-toolkit (>= 2),
+Vcs-Git: https://salsa.debian.org/python-team/modules/jupyter-console.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/jupyter-console
 Testsuite: autopkgtest-pkg-python
-
-Package: python-jupyter-console
-Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}
-Description: Jupyter terminal client (Python 2)
- Terminal-based console frontend for Jupyter kernels, like ipython but with
- support for non-python kernels.
- .
- This package installs the library for Python 2.
+Rules-Requires-Root: no
 
 Package: python3-jupyter-console
 Architecture: all

=== debian/watch ===
version=3
opts=uversionmangle=s/b/~b/,dversionmangle=s/~b/b/ \
https://pypi.debian.net/jupyter_console/jupyter_console-(.*)\.tar\.gz

## jupyter-console 6.1.0

=== debian/changelog ===
jupyter-console (6.1.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Gordon Ball ]
  * Fix pypi.d.n URL in d/watch
  * New upstream version 6.1.0
  * Update to debhelper compat level 13
  * Update to Standards-Version 4.5.0
  * Refresh patches; drop ipython compat patch from 6.0.0-2

 -- Gordon Ball <gordon@chronitis.net>  Fri, 15 May 2020 18:03:46 +0000

## jupyter-console 6.2.0

=== debian/changelog ===
jupyter-console (6.2.0-1) unstable; urgency=medium

  * New upstream version 6.2.0

 -- Gordon Ball <gordon@chronitis.net>  Mon, 31 Aug 2020 15:09:54 +0000

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Uploaders: Gordon Ball <gordon@chronitis.net>
 Section: python
 Priority: optional
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/jupyter/jupyter_console
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-ipython (>= 7),

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export LC_ALL=C.UTF-8

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_test:

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html docs debian/python-jupyter-console-doc/usr/share/doc/python-jupyter-console-doc/html
	dh_sphinxdoc -O--buildsystem=pybuild
endif

=== debian/watch ===
version=3
opts=uversionmangle=s/b/~b/,dversionmangle=s/~b/b/ \
https://pypi.debian.net/jupyter-console/jupyter_console-(.*)\.tar\.gz

## jupyter-console 6.4.0

=== debian/changelog ===
jupyter-console (6.4.0-3) unstable; urgency=medium

  * Standards-Version: 4.6.0
  * Backport jupyter_console#244 to fix incompatibility with jupyter_client 7

 -- Gordon Ball <gordon@chronitis.net>  Tue, 09 Nov 2021 20:16:35 +0000

jupyter-console (6.4.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * source only upload to enable migration (Closes: #996945)

 -- Paul Gevers <elbrus@debian.org>  Thu, 21 Oct 2021 11:07:22 +0200

jupyter-console (6.4.0-2) unstable; urgency=medium

  * Update standards version to 4.5.1, no changes needed.

 -- Debian Janitor <janitor@jelmer.uk>  Sat, 21 Aug 2021 13:39:49 +0100

jupyter-console (6.4.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Gordon Ball ]
  * d/watch: new github tarball URL
  * New upstream version 6.4.0
  * Rebase patches

 -- Gordon Ball <gordon@chronitis.net>  Sun, 15 Aug 2021 18:33:25 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: jupyter-console
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Gordon Ball <gordon@chronitis.net>
 Section: python
 Priority: optional
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/jupyter/jupyter_console
 Build-Depends: debhelper-compat (= 13),
                dh-python,
@@ -13,8 +13,8 @@
                python3-sphinx,
                python3-sphinx-rtd-theme,
                python3-prompt-toolkit (>= 2),
-Vcs-Git: https://salsa.debian.org/python-team/modules/jupyter-console.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/jupyter-console
+Vcs-Git: https://salsa.debian.org/python-team/packages/jupyter-console.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/jupyter-console
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no

=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)(rc|a|b)/$1~$2/ \
https://github.com/jupyter/jupyter_console/tags .*/archive/refs/tags/@ANY_VERSION@@ARCHIVE_EXT@

## jupyter-console 6.4.3

=== debian/changelog ===
jupyter-console (6.4.3-1) unstable; urgency=medium

  * d/watch: allow leading v in version
  * New upstream version 6.4.3
  * Drop backport patch from 6.4.0-3

 -- Gordon Ball <gordon@chronitis.net>  Fri, 01 Apr 2022 11:24:08 +0000

## jupyter-console 6.4.4

=== debian/changelog ===
jupyter-console (6.4.4-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + python-jupyter-console-doc: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 25 Nov 2022 02:34:44 +0000

jupyter-console (6.4.4-1) unstable; urgency=medium

  * New upstream version 6.4.4
  * docs: fix substvar for built-using

 -- Gordon Ball <gordon@chronitis.net>  Sat, 27 Aug 2022 21:30:51 +0200

=== debian/control ===
--- 
+++ 
@@ -44,7 +44,8 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
-Built-Using: ${sphinx:Built-Using}
+Built-Using: ${sphinxdoc:Built-Using}
+Multi-Arch: foreign
 Description: Jupyter terminal client (documentation)
  Terminal-based console frontend for Jupyter kernels, like ipython but with
  support for non-python kernels.

## jupyter-console 6.6.3

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html: config_options.rst
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

config_options.rst:
	python3 autogen_config.py
	@echo "Created docs for config options"

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Jupyterconsole.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Jupyterconsole.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Jupyterconsole"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Jupyterconsole"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== docs/requirements.txt ===
ipython
-e ../.
jupyter_core
jupyter_client
sphinx
sphinxcontrib_github_alt

=== debian/changelog ===
jupyter-console (6.6.3-2) unstable; urgency=medium

  * Team upload.
  * Port to Sphinx 8.0 (closes: #1090099).

 -- Colin Watson <cjwatson@debian.org>  Fri, 03 Jan 2025 14:54:07 +0000

jupyter-console (6.6.3-1) unstable; urgency=medium

  * New upstream version 6.6.3
  * d/control: use pybuild-plugin-pyproject and hatchling instead of setuptools

 -- Gordon Ball <gordon@chronitis.net>  Sat, 22 Jul 2023 19:39:59 +0000

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,14 @@
 Standards-Version: 4.6.0
 Homepage: https://github.com/jupyter/jupyter_console
 Build-Depends: debhelper-compat (= 13),
+               pybuild-plugin-pyproject,
+               python3-hatchling,
                dh-python,
                python3-all,
                python3-ipython (>= 7),
-               python3-setuptools,
                python3-sphinx,
                python3-sphinx-rtd-theme,
-               python3-prompt-toolkit (>= 2),
+               python3-prompt-toolkit (>= 3.0.30~),
 Vcs-Git: https://salsa.debian.org/python-team/packages/jupyter-console.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/jupyter-console
 Testsuite: autopkgtest-pkg-python

=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)(rc|a|b)/$1~$2/ \
https://github.com/jupyter/jupyter_console/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
